apiVersion: postgresql.cnpg.io/v1
kind: Cluster
metadata:
  name: database-v17
spec:
  instances: 1
  primaryUpdateStrategy: unsupervised
  imageName: ghcr.io/cloudnative-pg/postgresql:17.4
  storage:
    storageClass: internal-ssd
    size: 10Gi

  backup:
    barmanObjectStore:
      destinationPath: "s3://backup/k8s/kutt/database/17"
      endpointURL: https://v1.bucket.davinkevin.fr
      s3Credentials:
        accessKeyId:
          name: database-backup-to-s3
          key: accesskey
        secretAccessKey:
          name: database-backup-to-s3
          key: secretkey
      data:
        compression: bzip2
      wal:
        compression: bzip2
    retentionPolicy: "2d"

  bootstrap:
    initdb:
      database: kutt
---
apiVersion: postgresql.cnpg.io/v1
kind: ScheduledBackup
metadata:
  name: nightly-backups-v17
spec:
  schedule: "0 0 3 * * *"
  backupOwnerReference: self
  immediate: false
  suspend: false
  cluster:
    name: database-v17
